Tweaks
This commit is contained in:
parent
459021ff83
commit
6cbd7e2b15
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
@ -72,25 +72,11 @@ def model():
|
|||||||
# of the inclined screen
|
# of the inclined screen
|
||||||
.placeSketch(cq.Sketch().trapezoid(1000, 1000, 90, mode="a"))
|
.placeSketch(cq.Sketch().trapezoid(1000, 1000, 90, mode="a"))
|
||||||
.cutBlind(1000)
|
.cutBlind(1000)
|
||||||
# Cut off viewport hole so we can see the screen
|
|
||||||
.workplaneFromTagged("slanted")
|
|
||||||
.placeSketch(viewport_cutout)
|
|
||||||
.cutBlind(-shell_t)
|
|
||||||
# Make hole for screen assembly so the whole screen fits
|
|
||||||
.workplaneFromTagged("slanted")
|
|
||||||
.workplane(offset=-shell_t, centerOption="CenterOfBoundBox")
|
|
||||||
# Left bezel is wider than right one, so this hole is displaced to the left
|
|
||||||
.center(-3, 0)
|
|
||||||
.placeSketch(screen_cutout)
|
|
||||||
.cutBlind(-scr_thickness)
|
|
||||||
# Trim the top
|
# Trim the top
|
||||||
.workplaneFromTagged("mid_height")
|
.workplaneFromTagged("mid_height")
|
||||||
.workplane(offset=21)
|
.workplane(offset=21)
|
||||||
.placeSketch(cq.Sketch().trapezoid(1000, 1000, 90, mode="a"))
|
.placeSketch(cq.Sketch().trapezoid(1000, 1000, 90, mode="a"))
|
||||||
.cutBlind(100)
|
.cutBlind(100)
|
||||||
# Fillet top of the object
|
|
||||||
.edges(">Z and |X")
|
|
||||||
.fillet(2.5)
|
|
||||||
# Make bottom smaller to fit with base
|
# Make bottom smaller to fit with base
|
||||||
.faces(">X")
|
.faces(">X")
|
||||||
.workplane(centerOption="CenterOfBoundBox")
|
.workplane(centerOption="CenterOfBoundBox")
|
||||||
@ -112,6 +98,20 @@ def model():
|
|||||||
.fillet(3)
|
.fillet(3)
|
||||||
)
|
)
|
||||||
.cutBlind(-1000)
|
.cutBlind(-1000)
|
||||||
|
# Fillet top of the object
|
||||||
|
.edges("|X and >Z")
|
||||||
|
.fillet(3)
|
||||||
|
# Cut off viewport hole so we can see the screen
|
||||||
|
.workplaneFromTagged("slanted")
|
||||||
|
.placeSketch(viewport_cutout)
|
||||||
|
.cutBlind(-shell_t)
|
||||||
|
# Make hole for screen assembly so the whole screen fits
|
||||||
|
.workplaneFromTagged("slanted")
|
||||||
|
.workplane(offset=-shell_t, centerOption="CenterOfBoundBox")
|
||||||
|
# Left bezel is wider than right one, so this hole is displaced to the left
|
||||||
|
.center(-3, 0)
|
||||||
|
.placeSketch(screen_cutout)
|
||||||
|
.cutBlind(-scr_thickness)
|
||||||
# Make it hollow
|
# Make it hollow
|
||||||
.faces("<Z")
|
.faces("<Z")
|
||||||
# Can't be exactly shell_t because cq fails
|
# Can't be exactly shell_t because cq fails
|
||||||
@ -124,7 +124,7 @@ def model():
|
|||||||
# Make small hole for the keyboard cable
|
# Make small hole for the keyboard cable
|
||||||
.faces(">Y")
|
.faces(">Y")
|
||||||
.workplane(offset=-5, centerOption="CenterOfBoundBox")
|
.workplane(offset=-5, centerOption="CenterOfBoundBox")
|
||||||
.center(-width / 2 + 134, -44)
|
.center(-width / 2 + 175, -25)
|
||||||
.placeSketch(kbd_cable_hole)
|
.placeSketch(kbd_cable_hole)
|
||||||
.cutBlind(-1000)
|
.cutBlind(-1000)
|
||||||
# Pillars to join with bottom half
|
# Pillars to join with bottom half
|
||||||
|
File diff suppressed because it is too large
Load Diff
Loading…
Reference in New Issue
Block a user